﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using brBaseDLL;

namespace Parameter_Demo
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            //fill combobo with com ports
            comboBox_com.Items.Clear();
            foreach (string s in System.IO.Ports.SerialPort.GetPortNames()) comboBox_com.Items.Add(s);
            comboBox_com.SelectedIndex = comboBox_com.Items.Count - 1;
        }

        //send parameter packet
        private void button_send_Click(object sender, EventArgs e)
        {
            //reset Textbox
            textBox_feedback.Text = "";
            //select io interface
            String io_interface;
            if (radioButton_USB.Checked)
                //USB
                io_interface = "usb";
            else if (radioButton_ethernet.Checked)
                //Ethernet
                io_interface = textBox_ip.Text;
            else
                //UART (Virtual COM Port)
                io_interface = comboBox_com.Text;
            //select target
            String target;
            if (radioButton_user.Checked)
                target = "user";
            else
                target = "conn";
            //select command
            byte command;
            if (radioButton_cmd1.Checked)
                command = 0x01;
            else
                command = 0x02;
            //send
            byte[] feedback;
            String feedbacktext = "";
            if (brBase.ctrl_sendCommand(io_interface, target, command, Encoding.ASCII.GetBytes(textBox_write.Text), out feedback, false))
            {
                //set new text
                feedbacktext = Encoding.ASCII.GetString(feedback);
            }
            textBox_feedback.Text = feedbacktext;

        }
    }
}
